Subscribe for automatic updates: RSS icon RSS

Login icon Sign in for full access | Help icon Help
Advanced search

Pages: 1 [2]
  Reply  |  Print  
Author Topic: BDL Syntax highlighting in VsCode  (Read 20108 times)
Sebastien F.
Four Js
Posts: 519


« Reply #15 on: March 16, 2023, 12:25:53 pm »

Evandro,

Sorry for the late answer, please wait for next FGLGWS Maintenance Release.

It should be available very soon.

Seb
Dave T.
Posts: 6


« Reply #16 on: April 14, 2023, 02:21:29 am »

Hey Seb,

Were you including the Vscode config files (3.20.18?), can see the vim files but no vscode :-(


Cheers
Reuben B.
Four Js
Posts: 1080


« Reply #17 on: April 14, 2023, 02:40:44 am »

Dave,

There has not been an FGL release (3.20 or 4.01) since Sebs comment

4.01.02 21st October 2022
3.20.18 10th March 2023
Sebs comment 16th March 2023

Reuben

Product Consultant (Asia Pacific)
Developer Relations Manager (Worldwide)
Author of https://4js.com/ask-reuben
Contributor to https://github.com/FourjsGenero
Dave T.
Posts: 6


« Reply #18 on: April 14, 2023, 02:47:25 am »

Whoops missed that.

Can't wait for the next release then :-)
Sebastien F.
Four Js
Posts: 519


« Reply #19 on: April 14, 2023, 07:40:02 am »

Hello!

VS Code extension will only be available in FGLGWS 4.01 and +

We do our best to ship 4.01.03 MR as soon as possible.

Seb
Rene S.
Four Js
Posts: 111


« Reply #20 on: May 12, 2023, 12:26:50 pm »

You might have noticed: fgl 4.01.03 has been released. This version is (temporarily) bundled with the vscode extension genero-fgl-0.0.14.vsix
Install from the command-line by code --install-extension $FGLDIR/lib/genero-fgl-0.0.14.vsix.
Please notice: some features require fgl 4.01.03: debug, hover, goto-definition, show references, bread-crumps.
The features format, diagnostic and complete work with older versions (including 3.20).
Syntax highlighting does not require an fgl installation.
Rene
PS: If you notice "diagnostic is not working on Windows" - that's a known issue, ask for genero-fgl-0.0.15.vsix.
Dave T.
Posts: 6


« Reply #21 on: July 25, 2023, 01:59:14 am »

Hi all,
I can't seem to get the extension working... :-(

It seems to install ok (apart from the deprication warning):

C:\temp> code --install-extension genero-fgl-0.0.14.vsix
Installing extensions...
(node:12872) [DEP0005] DeprecationWarning: Buffer() is deprecated due to security and usability issues. Please use the Buffer.alloc(), Buffer.allocUnsafe(), or Buffer.fro
m() methods instead.
(Use `Code --trace-deprecation ...` to show where the warning was created)
Extension 'genero-fgl-0.0.14.vsix' was successfully installed.


When viewing the runtime status of the extension it shows 'Not yet activated' and I can't see it in the list of language extensions.

Any help would be appreciated.

Cheers

VScode 1.80.1
Sebastien F.
Four Js
Posts: 519


« Reply #22 on: July 25, 2023, 09:15:12 am »

Hi David,
Please contact the support to get help.
Seb
Rene S.
Four Js
Posts: 111


« Reply #23 on: July 31, 2023, 10:54:41 am »

Hello, try this the verify the extension (on the command line):
Code:
$ code --list-extensions

or better:
Code:
$ code --list-extensions --show-versions

The 1st command should report fourjs.genero-fgl, the 2nd command should also report the version of the extension.

Notice: The extension will be activated when opening a .4gl or a .per file in the editor:
Activation status after opening a .4gl file:
Code:
Activation Event:onLanguage:4gl
Activation Time:166ms
Pages: 1 [2]
  Reply  |  Print  
 
Jump to:  

Powered by SMF 1.1.21 | SMF © 2015, Simple Machines